UnderlineStyle

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.format
Class UnderlineStyle

    java.lang.Object
      jxl.format.UnderlineStyle

    public final class UnderlineStyle

extends java.lang.Object

Enumeration class which contains the various underline styles available within the standard Excel UnderlineStyle palette

Field Summary
`static UnderlineStyle` | `DOUBLE`
`static UnderlineStyle` | `DOUBLE_ACCOUNTING`
`static UnderlineStyle` | `NO_UNDERLINE`
`static UnderlineStyle` | `SINGLE`
`static UnderlineStyle` | `SINGLE_ACCOUNTING`

Method Summary
`java.lang.String` | `getDescription()` Gets the string description for display purposes
`static UnderlineStyle` | `getStyle(int val)` Gets the UnderlineStyle from the value
`int` | `getValue()` Gets the value of this style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_UNDERLINE

    public static final UnderlineStyle NO_UNDERLINE

### SINGLE

    public static final UnderlineStyle SINGLE

### DOUBLE

    public static final UnderlineStyle DOUBLE

### SINGLE_ACCOUNTING

    public static final UnderlineStyle SINGLE_ACCOUNTING

### DOUBLE_ACCOUNTING

    public static final UnderlineStyle DOUBLE_ACCOUNTING

Method Detail

### getValue

    public int getValue()

  Gets the value of this style. This is the value that is written to the generated Excel file

  Returns:
    the binary value

### getDescription

    public java.lang.String getDescription()

  Gets the string description for display purposes

  Returns:
    the string description

### getStyle

    public static UnderlineStyle getStyle(int val)

  Gets the UnderlineStyle from the value

  Parameters:
    `val` -
  Returns:
    the UnderlineStyle with that value

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD